<?php
/**
* @package RSSeo!
* @copyright (C) 2015 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');

class rsseoViewStatistics extends JViewLegacy
{
	protected $items;
	protected $pagination;
	protected $state;
	
	public function display($tpl = null) {
		$layout			= $this->getLayout();
		$this->config	= rsseoHelper::getConfig();
		
		if ($layout == 'pageviews') {
			$this->pageviews	= $this->get('PageViews');
			$this->pagination	= $this->get('PageViewsPagination');
			
		} else {
			$this->sidebar		= $this->get('Sidebar');
			$this->keywords		= $this->get('Keywords');
			$this->tabs			= $this->get('Tabs');
			$this->statistics	= rsseoHelper::getStatistics();
			$this->pages		= rsseoHelper::getMostVisited();
			
			$this->from		= JFactory::getDate()->modify('-7 days')->format('Y-m-d');
			$this->to		= JFactory::getDate()->format('Y-m-d');
			
			$this->totalvisitors	= $this->get('TotalVisitors');
			$this->totalpageviews	= $this->get('TotalPageViews');
			$this->totalvisitorst	= $this->get('TotalVisitorsTimeframe');
			$this->totalpageviewst	= $this->get('TotalPageViewsTimeframe');
			
			$this->visitors		= $this->get('Visitors');
			$this->total		= $this->get('VisitorsTotal');
			$this->count		= count($this->visitors);
			
			$this->addToolBar();
		}
		
		parent::display($tpl);
	}
	
	protected function addToolBar() {
		JToolBarHelper::title(JText::_('COM_RSSEO_LIST_STATISTICS'),'rsseo');
		
		if (JFactory::getUser()->authorise('core.admin', 'com_rsseo'))
			JToolBarHelper::preferences('com_rsseo');
		
		JToolBarHelper::custom('main', 'rsseo.png', 'rsseo.png', JText::_('COM_RSSEO_GLOBAL_COMPONENT'), false);
		
		JFactory::getDocument()->addScript('https://www.google.com/jsapi');
	}
}